﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private Panel1 As Panel
	Private Canvas1 As Canvas 
	Private LabelExit As Label
	Private LabelPaint As Label
	Private bmpBird As Bitmap
	Private Delta As Float 
	Private IconCnt As Int 
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	Activity.LoadLayout("Redraw")
	
	If File.Exists (File.DirInternal,"IconCnt.txt") Then
		If File.Size(File.DirInternal,"IconCnt.txt") > 0 Then 
			IconCnt = File.ReadString(File.DirInternal ,"IconCnt.txt") 
			IconCnt = IconCnt + 1
			If IconCnt > 5 Then IconCnt = 0
			File.WriteString(File.DirInternal,"IconCnt.txt",IconCnt)  
		Else
			IconCnt = 0
			File.WriteString(File.DirInternal,"IconCnt.txt",IconCnt)  
		End If
	Else
		IconCnt = 0
		File.WriteString(File.DirInternal,"IconCnt.txt",IconCnt)  
	End If

	Try
		Delta = 5dip	
		Canvas1.Initialize(Panel1) 'Initialize the canvas (drawer) and makes it draw on the activity (form).

		Select Case IconCnt
			Case 0
				bmpBird.Initialize(File.DirAssets, "funkybirdred3.png")
			Case 1
				bmpBird.Initialize(File.DirAssets, "funkynotegreen3.png")
			Case 2
				bmpBird.Initialize(File.DirAssets, "funkybirdblue3.png")
			Case 3
				bmpBird.Initialize(File.DirAssets, "funkynotered3.png")
			Case 4
				bmpBird.Initialize(File.DirAssets, "funkybirdgreen3.png")
			Case 5
				bmpBird.Initialize(File.DirAssets, "funkynoteblue3.png")
			Case Else
		End Select			
		
		CM.RectDraw.Initialize(CM.LEFT,CM.TOP,CM.RIGHT,CM.BOTTOM)  
		Canvas1.DrawBitmap(bmpBird,Null,CM.RectDraw) 
		CM.RectDraw.Initialize(CM.LEFT - Delta,CM.TOP - Delta,CM.RIGHT + Delta,CM.BOTTOM + Delta)  
		DrawRoundedRectangle(Canvas1, CM.RectDraw, CM.Rx, CM.Ry, CM.DrawColor, CM.DrawFilled, CM.DrawStrokeWidth) 
	Catch
		Msgbox(LastException,"Activity_Create_REDRAW")
	End Try

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
Sub Activity_Click
	
End Sub
Sub Activity_LongClick
	
End Sub

Sub Panel1_Click
	
End Sub
Sub Panel1_LongClick
	
End Sub
Sub Panel1_Touch (Action As Int, X As Float, Y As Float)
	Dim sAction As String 
	Select Action 
		Case 0 ' ACTION_DOWN 
			sAction = "ACTION_DOWN" 	
		Case 1 ' ACTION_UP 
			sAction = "ACTION_UP" 	
		Case 2 ' ACTION_MOVE 
			sAction = "ACTION_MOVE" 	
		Case Else 
			sAction = "ACTION_ELSE" 	
	End Select 
	Log(CRLF & sAction & CRLF & CRLF & X & CRLF & Y)
End Sub
Sub LabelPaint_Click
	Panel1.Color = 0
	Canvas1.Initialize(Panel1)
	CM.RectDraw.Initialize(CM.LEFT,CM.TOP,CM.RIGHT,CM.BOTTOM)  
	Canvas1.DrawBitmap(bmpBird,Null,CM.RectDraw) 
	CM.RectDraw.Initialize(CM.LEFT - Delta,CM.TOP - Delta,CM.RIGHT + Delta,CM.BOTTOM + Delta)  
	DrawRoundedRectangle(Canvas1, CM.RectDraw, CM.Rx, CM.Ry, CM.DrawColor, CM.DrawFilled, CM.DrawStrokeWidth) 
	ToastMessageShow("LabelPaint_Click",False)
End Sub
Sub LabelPaint_LongClick
	LabelPaint.Color = Colors.RGB(Rnd(0, 255), Rnd(0, 255), Rnd(0, 255))
	LabelPaint.TextColor = Colors.RGB(Rnd(0, 255), Rnd(0, 255), Rnd(0, 255))
End Sub
Sub DrawRoundedRectangle(cvs As Canvas, rectWAT As Rect, rx As Float, ry As Float, Color As Int, Filled As Boolean, StrokeWidth As Float)
	Dim ABExtDrawing1 As ABExtDrawing
	Dim ABRectF1 As ABRectF
	Dim ABPaint1 As ABPaint
	ABRectF1.Initialize(rectWAT.Left, rectWAT.Top, rectWAT.Right, rectWAT.Bottom)
	ABPaint1.Initialize
	ABPaint1.SetColor(Color)
	If Filled Then
		ABPaint1.SetStyle(ABPaint1.Style_FILL)
	Else
		ABPaint1.SetStyle(ABPaint1.Style_STROKE)
	End If
	ABPaint1.SetStrokeWidth(StrokeWidth)
	ABExtDrawing1.drawRoundRect(cvs, ABRectF1, rx, ry, ABPaint1)
End Sub
Sub LabelExit_Click
	Log(CM.LEFT & " x " & CM.TOP & " * " & CM.Rx & " x " & CM.Ry & " * " & CM.DrawStrokeWidth)
	Activity.Finish 
	StartActivity(Main)
End Sub
Sub LabelExit_LongClick
	LabelExit.Color = Colors.RGB(Rnd(0, 255), Rnd(0, 255), Rnd(0, 255))
	LabelExit.TextColor = Colors.RGB(Rnd(0, 255), Rnd(0, 255), Rnd(0, 255))
End Sub

